--- title: "createLoadBalancerInstance" slug: "networking-vloadbalancer-loadbalancer-createloadbalancerinstance" tags: ["Load Balancer"] updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vloadbalancer-loadbalancer-createloadbalancerinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createLoadBalancerInstance Available in VPC Create a load balancer instance. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /vloadbalancer/v2/createLoadBalancerInstance | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-vloadbalancer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the load balancer instance you want to create - First Region of the getRegionList query result (default). - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `loadBalancerTypeCode` | String | Required | Load balancer type - `APPLICATION` \| `NETWORK` \| `NETWORK_PROXY` | | `loadBalancerName` | String | Optional | Load balancer name - Granted automatically by NAVER Cloud Platform (default). - Enter 3-30 characters, including letters, numbers, and special character "-". - The string must begin with an English letter and end with an English letter or number. | | `loadBalancerNetworkTypeCode` | String | Optional | Load balancer's network type - `PUBLIC` (default) \| `PRIVATE` | | `throughputTypeCode` | String | Optional | Load handling performance type - `SMALL` (default) \| `MEDIUM` \| `LARGE` \| `DYNAMIC`\| `XLARGE` - The values that can be selected are limited depending on the type of load balancer. - Application, Network Proxy Load Balancer: `SMALL` (default) \| `MEDIUM` \| `LARGE`\| `XLARGE` - Network Load Balancer: `DYNAMIC` (default) | | `idleTimeout` | Integer | Optional | Connection retention time (second) - 1-3600 (default: 60) - Can't be configured if the load balancer type is `NETWORK`. | | `vpcNo` | String | Required | VPC number of the load balancer you want to create - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `loadBalancerDescription` | String | Optional | Description of the load balancer (byte) - 0-1000 | | `subnetNoList.N` | List[String] | Conditional | Subnet's number list - `subnetNoList` or `loadBalancerSubnetList` must be entered. - `loadBalancerSubnetList` is applied if both are passed. - Select a subnet located in the selected VPC. - One load balancer-only subnet can be selected for each zone. - For `subnetNo`, see [getSubnetList](/docs/en/networking-vpc-subnetmanagement-getsubnetlist). - Example: subnetNoList.1=1234&subnetNoList.2=2345 | | `loadBalancerSubnetList.N.subnetNo` | String | Conditional | Subnet number - `subnetNoList` or `loadBalancerSubnetList` must be entered. - `loadBalancerSubnetList` is applied if both are passed. - When applying `loadBalancerSubnetList`, `loadBalancerSubnetList.N.subnetNo` is required. - Select a subnet located in the selected VPC. - One load balancer-only subnet can be selected for each zone. - For `subnetNo`, see [getSubnetList](/docs/en/networking-vpc-subnetmanagement-getsubnetlist). | | `loadBalancerSubnetList.N.publicIpInstanceNo` | String | Optional | Public IP instance number - Create and assign a new public IP (default). - It can be set if the load balancer's network type is `PUBLIC`. | | `loadBalancerListenerList.N.protocolTypeCode` | String | Optional | Protocol type of load balancer listener - `HTTP` \| `HTTPS` \| `TCP` \| `UDP` \| `TLS` - Type of load balancer limits the values you can select. - Application Load Balancer: `HTTP` (default) \| `HTTPS` - Network Load Balancer: `TCP` (default)\| `UDP` - Network Proxy Load Balancer: `TCP` (default) \| `TLS` | | `loadBalancerListenerList.N.port` | Integer | Optional | Port of the load balancer listener - 1 -65534 - The default port value is decided depending on the listener protocol type. - `HTTP`, `TCP`, `UDP` protocol: 80 - `HTTPS`, `TLS` protocol: 443 - It can't be duplicated with an existing registered listener port. | | `loadBalancerListenerList.N.targetGroupNo` | String | Required | Target group number applied to each listener's default rule - For `targetGroupNo`, see [getTargetGroupList](/docs/en/networking-vloadbalancer-targetgroup-gettargetgrouplist). - Available target groups are limited by the type of load balancer and the protocol type of the target group. - Application Load Balancer: `HTTP` \| `HTTPS` - Network Load Balancer: `TCP` \| `UDP` - Network Proxy Load Balancer: `PROXY_TCP` - Target groups already in use by another load balancer can't be used. | | `loadBalancerListenerList.N.useHttp2` | Boolean | Optional | Whether to use HTTP/2 protocol - `true` \| `false` (default) - It can be set if the listener's protocol type is `HTTPS`. | | `loadBalancerListenerList.N.sslCertificateNo` | String | Conditional | SSL certificate number - For `sslCertificateNo`, see [getCertificateList](/docs/en/security-certificatemanager-getcertificatelist). - If the listener's protocol type is `HTTPS` or `TLS`, the SSL certificate must be set. | | `loadBalancerListenerList.N.tlsMinVersionTypeCode` | String | Optional | TLS minimum supported version - `TLSV10` (default) \| `TLSV11` \| `TLSV12` \| `TLSV13` - `TLSV10`: TLS 1.0 - `TLSV11`: TLS 1.1 - `TLSV12`: TLS 1.2 - `TLSV13`: TLS 1.3 - It can be set if the listener's protocol type is `HTTPS` or `TLS`. - `TLS_AES_256_GCM_SHA384`, `TLS_CHACHA20_POLY1305_SHA256`, and `TLS_AES_128_GCM_SHA256` encryption tools are always included. | | `loadBalancerListenerList.N.cipherSuiteList.N` | List[String] | Optional | List of encryption tools provided by the load balancer during encryption negotiation with the client - `TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA` \| `TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256` \| `TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256` \| `TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA` \| `TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384` \| `TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384` \| `TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA` \| `TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256` \| `TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256` \| `TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA` \| `TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384` \| `TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384` \| `TLS_RSA_WITH_AES_128_CBC_SHA` \| `TLS_RSA_WITH_AES_128_CBC_SHA256` \| `TLS_RSA_WITH_AES_128_GCM_SHA256` \| `TLS_RSA_WITH_AES_256_CBC_SHA` \| `TLS_RSA_WITH_AES_256_CBC_SHA256` \| `TLS_RSA_WITH_AES_256_GCM_SHA384` \| `TLS_DHE_RSA_WITH_AES_128_CBC_SHA` \| `TLS_DHE_RSA_WITH_AES_128_CBC_SHA256` \| `TLS_DHE_RSA_WITH_AES_256_CBC_SHA` \| `TLS_DHE_RSA_WITH_AES_256_CBC_SHA256` - Select All (default) - It can be set if the listener's protocol type is `HTTPS` or `TLS`. | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/createLoadBalancerInstance?regionCode=KR&loadBalancerTypeCode=APPLICATION&loadBalancerName=YOUR_LOAD_BALANCER&loadBalancerNetworkTypeCode=PRIVATE&throughputTypeCode=SMALL&idleTimeout=60&vpcNo=*****&subnetNoList.1=******&loadBalancerListenerList.1.protocolTypeCode=HTTP&loadBalancerListenerList.1.port=80&loadBalancerListenerList.1.targetGroupNo=*******' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [LoadBalancerInstanceList](/docs/en/common-vapidatatype-loadbalancerinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-vloadbalancer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 48df95ef-b0bc-4338-bbc8-7126965c0987 0 success 1 ******** INIT LB INIT state CREAT LB CREATE OP Creating 2024-06-03T18:52:28+0900 YOUR_LOAD_BALANCER ***.com APPLICATION Application Load Balancer PRIVATE Private SMALL Small 60 ***** KR ****** KR-1 ****** ****** ```